using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Configuration;


namespace NScontract
{
	/// <summary>
	/// Index 的摘要说明。
	/// </summary>
	public partial class Index : System.Web.UI.Page
	{

		private string NSUserNickName;
		private string NSUserPwd;
	
		protected void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    

		}
		#endregion
		//当用户输入完用户名和密码后点击登陆按钮，就会出发此事件的执行
		protected void NSFront_Click(object sender, System.EventArgs e)
		{
			//去除文本框空格
			NSUserNickName = NSUserName.Text.Trim();
			NSUserPwd = NSPassWord.Text.Trim();
			//获得数据库连接字符串
			string NSconnection = ConfigurationSettings.AppSettings["strconnection"];
			//创建数据库连接
			SqlConnection NSconn = new SqlConnection(NSconnection);
			//打开数据库连接
			NSconn.Open();
			//根据用户名和密码创建sql语句
			string NSstrsql = "select * from NSUser where NSNickName = '"+NSUserNickName + "' and NSUserPwd = '"+ NSUserPwd+"'";
			//创建SqlCommand对象，对sql语句进行操作
			SqlCommand NScmd = new SqlCommand(NSstrsql,NSconn);
			//通过调用ExecuteReader()从数据库中检索行，创建SqlDataReader实例
			SqlDataReader NSsdr = NScmd.ExecuteReader();
			//判断是否有数据
			if(NSsdr.Read())
			{
				//将获得的NSNickName保存到Session中
				Session["NSNickName"] = NSsdr["NSNickName"];
				//将获得的NSNoAdmin保存到Session中
				Session["NSNoAdmin"] = NSsdr["NSNoAdmin"];
				//判断管理权限
				if(Session["NSNoAdmin"].ToString()=="0")
				{
					//如果是一般用户就定向到NSUserLogin.aspx页面
					Response.Redirect("NSUser\\NSUserLogin.aspx");
				}
				else if(Session["NSNoAdmin"].ToString() == "1")
				{
					//如果是管理员就定向到NSManagerLogin.aspx页面
					Response.Redirect("NSManager\\NSManagerLogin.aspx");
				}
			}				
			else
			{
				//用户名密码不正确就返回到Index.aspx页面
				Response.Write("<script language='javascript'>alert('登陆失败！');</script>");
//				Response.Redirect("Index.aspx");
			}
		}
		//当用户输入完用户名和密码后点击重填按钮，就会出发此事件的执行
		protected void NSReset_Click(object sender, System.EventArgs e)
		{
			//定向到Index.aspx页面
			Response.Redirect("Index.aspx");
		}
        protected void btnEnroll_Click(object sender, EventArgs e)
        {
            Response.Redirect("UserEnroll.aspx");
        }
}
}
